InitUserPrefs();

local t = Def.ActorFrame {
	OnCommand=function(self)
		if not FILEMAN:DoesFileExist("Save/ThemePrefs.ini") then
			Trace("ThemePrefs doesn't exist; creating file")
			ThemePrefs.ForceSave()
		end

		ThemePrefs.Save()
	end;
};


t[#t+1] = StandardDecorationFromFileOptional("VersionInfo","VersionInfo");

t[#t+1] = Def.ActorFrame {	
	CodeMessageCommand = function(self, params)
		if params.Name=="TacoTuesdays" then
			self:decelerate(0.4):diffusealpha(0)
		end;
	end;
	LoadActor( THEME:GetPathG("_title","logo")) .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-30;);
		OnCommand=cmd(diffusealpha,0;rotationz,-40;zoom,0.4;sleep,1;decelerate,0.7;zoom,0.75;rotationz,0;diffusealpha,1;);
	};	
	
	LoadActor( THEME:GetPathG("_title","logo")) .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-30;blend,'BlendMode_Add';);
		OnCommand=cmd(diffusealpha,0;zoom,0.75;sleep,1.7;diffusealpha,0.6;decelerate,1;zoom,1.2;diffusealpha,0;rotationz,10;);
	};	
	
};

t[#t+1] = Def.ActorFrame {
	LoadActor( THEME:GetPathG("_title","tacotuesday")) .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-50;zoom,0.6);
		OnCommand=cmd(diffusealpha,0;);
		CodeMessageCommand = function(self, params)
		if params.Name=="TacoTuesdays" then
			self:sleep(0.6):decelerate(0.6):diffusealpha(1)
		end;
		end;
	};
	};

return t